<!--ngIf added to render the component only when the product is fetched from the API-->
<section *ngIf="product" class="min-h-screen pt-8 font-poppins bg-gray-800">
  <div class="float-right pr-5 xl:pr-28">
    <app-button
      (buttonClick)="goToShoppingCart()"
      icon="shopping_cart"
      class="float-right"
      value="Shopping Cart"
      styleType="secondary"/>
  </div>
  <div class="float-left pl-5 xl:pl-28">
    <app-button
      (buttonClick)="goToProducts()"
      icon="dashboard"
      class="float-left"
      value="Products"
      styleType="secondary"/>
  </div>

  <div class="max-w-6xl px-4 py-16 mx-auto lg:py-28 md:px-6">
    <div class="flex flex-wrap ">
      <div class="w-full mb-8 md:w-1/2 md:mb-0">
        <div class="sticky top-0 z-50 overflow-hidden pr-4">
          <div class="relative mb-6 lg:mb-10 lg:h-2/4 ">
            <app-image [src]="product.featuredAsset.source" class="object-cover w-full lg:h-full "></app-image>
          </div>
        </div>
      </div>
      <div class="w-full md:w-1/2 ">
        <div class="lg:pl-20 pt-2">
          <div class="mb-8">
            <app-text class="max-w-xl mb-20 text-2xl font-bold dark:text-gray-400 md:text-4xl"
                      [value]="product.name"></app-text>
            <div class="pt-8 md:pt-16">
              <app-text class="max-w-md text-gray-700 dark:text-gray-400 text-xl md:text-2xl"
                        [value]="product.description"></app-text>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="flex flex-wrap">
      <div *ngFor="let variant of product.variants" class="w-full w-1/2 md:w-1/4 pr-4 mb-4">
        <div class="rounded-xl bg-gray-700 p-2 text-gray-700 dark:text-gray-400">
          <app-text [value]="variant.name"></app-text>

          <div class="pt-2 flex">
            <span class="mr-2">Price:</span>
            <app-text [value]="variant.price.toString()"></app-text>
          </div>

          <div class="flex">
            <span class="mr-2">Price with Tax:</span>
            <app-text [value]="variant.priceWithTax.toString()"></app-text>
          </div>

          <div class="pt-3" >
            <app-button (buttonClick)="addToCart(product, variant)"
                        icon="add_shopping_cart"
                        value="Add to cart"
                        styleType="primary"/>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
